Modify

Opened 5 years ago

Last modified 3 years ago

#12331 new defect

luci-app-openvpn unavailable

Reported by: Yevgeny Owned by: developers
Priority: high Milestone: Barrier Breaker 14.07
Component: packages Version: Trunk
Keywords: luci-app-openvpn Cc:

Description

Hi,

luci-app-openvpn is not showing when I do 'make menuconfig'

Attachments (0)

Change History (14)

comment:1 follow-up: Changed 5 years ago by hnyman <hannu.nyman@…>

Duplicate of #12217.

It was intentionally marked broken a few weeks ago:
http://luci.subsignal.org/trac/changeset/9274

If you toggle the "show broken packages" option in menuconfig, you will see that again.

comment:2 Changed 5 years ago by Del <delonly@…>

There is already a ticket for it at the Luci tracker, here: http://luci.subsignal.org/trac/ticket/489

comment:3 in reply to: ↑ 1 Changed 4 years ago by anonymous

Replying to hnyman <hannu.nyman@…>:

If you toggle the "show broken packages" option in menuconfig, you will see that again.

How do it without recompile?

comment:4 Changed 4 years ago by anonymous

what priorities over openvpn? One of the things i chose openwrt has gone

comment:5 Changed 4 years ago by aczlan

I was able to get it to install on my OpenWRT install with the following commands:

~#opkg update
~#opkg install openvpn openvpn-easy-rsa
~#mv /etc/config/openvpn /etc/config/openvpn.old
~#mv /etc/init.d/openvpn /etc/init.d/openvpn.old
~#opkg install http://luci.subsignal.org/trac/raw-attachment/ticket/489/luci-app-openvpn_1.0.0_all.ipk

I get the following output and errors when installing the luci package:

Downloading http://luci.subsignal.org/trac/raw-attachment/ticket/489/luci-app-openvpn_1.0.0_all.ipk.
Installing luci-app-openvpn (1.0.0) to root...
Configuring luci-app-openvpn.
Collected errors:
 * parse_from_stream_nomalloc: Missing new line character at end of file!
 * parse_from_stream_nomalloc: Missing new line character at end of file!

Might the missing newline character be related to it not wanting to overwrite /etc/config/openvpn and /etc/init.d/openvpn?

I have not yet tried to configure or run it, just install it.
This is with OpenWRT 12.0.9 installed on a TL-WR1043ND

Thanks

Aaron Z

comment:6 Changed 4 years ago by tuns@…

TP-Link TL-WR1043N/ND v1
OpenWrt Attitude Adjustment 12.09 / LuCI 0.11.1 Release (0.11.1)

root@OpenWrt_Home:~# opkg install http://luci.subsignal.org/trac/raw-attachment/
ticket/489/luci-app-openvpn_1.0.0_all.ipk
Downloading http://luci.subsignal.org/trac/raw-attachment/ticket/489/luci-app-openvpn_1.0.0_all.ipk.
Installing luci-app-openvpn (1.0.0) to root...
Collected errors:

  • parse_from_stream_nomalloc: Missing new line character at end of file!
  • check_data_file_clashes: Package luci-app-openvpn wants to install file /etc/init.d/openvpn

But that file is already provided by package * openvpn

  • check_data_file_clashes: Package luci-app-openvpn wants to install file /etc/config/openvpn

But that file is already provided by package * openvpn

  • opkg_install_cmd: Cannot install package luci-app-openvpn.

comment:7 Changed 4 years ago by anonymous

same problem

comment:8 Changed 4 years ago by anonymous

No new informations???

comment:9 Changed 4 years ago by anonymous

same issue here, no openvpn?

comment:10 Changed 4 years ago by anonymous

parse_from_stream_nomalloc: Missing new line character at end of file!

I got this error, but nevertheless the package has been installed. And it seems to work!

comment:11 Changed 4 years ago by anonymous

I have installed it exactly as per aczlan's recommendation

unfortunately it is not working and that is what is displayed in luci-services-openvpn if I click it:

---snip---
/usr/lib/lua/luci/dispatcher.lua:448: Failed to execute cbi dispatcher target for entry '/admin/services/openvpn'.
The called action terminated with an exception:
/usr/lib/lua/luci/cbi.lua:334: Unable to read UCI data: openvpn
stack traceback:

[C]: in function 'assert'
/usr/lib/lua/luci/dispatcher.lua:448: in function 'dispatch'
/usr/lib/lua/luci/dispatcher.lua:195: in function </usr/lib/lua/luci/dispatcher.lua:194>

---snap---

Any idea???

comment:12 Changed 4 years ago by arne.brieseneck@…

I have installed it exactly as per aczlan's recommendation

unfortunately it is not working and that is what is displayed in luci-services-openvpn if I click it:

---snip---
/usr/lib/lua/luci/dispatcher.lua:448: Failed to execute cbi dispatcher target for entry '/admin/services/openvpn'.
The called action terminated with an exception:
/usr/lib/lua/luci/cbi.lua:334: Unable to read UCI data: openvpn
stack traceback:

[C]: in function 'assert'
/usr/lib/lua/luci/dispatcher.lua:448: in function 'dispatch'
/usr/lib/lua/luci/dispatcher.lua:195: in function </usr/lib/lua/luci/dispatcher.lua:194>

---snap---

Any idea???

comment:13 Changed 3 years ago by jow

  • Milestone changed from Attitude Adjustment 12.09 to Barrier Breaker 14.07

Milestone Attitude Adjustment 12.09 deleted

comment:14 Changed 3 years ago by alex.bogda@…

How can we install Luci for openvpn in openwrt?

Add Comment

Modify Ticket

Action
as new .
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.